# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Integer, String, DateTime


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers_table = Table(
        'repaired_servers', meta,
        Column('id', Integer, primary_key=True, nullable=False),
        Column('instance_id', String(36), nullable=False),
        Column('repaired_at', DateTime, nullable=True),
    )
    servers_table.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers_table = Table('repaired_servers', meta)
    servers_table.drop()
