# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Integer, Boolean, String


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers_table = Table(
        'servers', meta,
        Column('id', Integer, primary_key=True, nullable=False),
        Column('instance_id', String(36), nullable=False, unique=True),
        Column('is_movable', Boolean, nullable=False, default=False))
    servers_table.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    servers_table = Table('servers', meta)
    servers_table.drop()
